# $Revision: 1.8 $, $Date: 2002/10/24 11:30:24 $
Summary:	Scribus - Desktop Publishing for Linux
Summary(pl):	Scribus - DTP dla Linuksa
Name:		scribus
Version:	0.8
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://web2.altmuehlnet.de/fschmid/%{name}-%{version}.tar.gz
Patch0:		%{name}-standard-font-paths.patch
Patch1:		%{name}-module-fixes.patch
BuildRequires:	lcms-devel >= 1.08-2
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	qt-devel >= 3.0.5
BuildRequires:	zlib-devel
# fonts are required locally!
Requires:	XFree86-fonts
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
Scribus is a Layout program for Linux(R), similar to Adobe(R)
PageMaker(TM), QuarkXPress(TM) or Adobe(R) InDesign(TM), except that
it is published under the GNU GPL.
			
%description -l pl
Scribus to program dla systemu Linux(R) do tworzenia publikacji,
podobny do programw Adobe(R) PageMaker(TM), QuarkXPress(TM) czy
Adobe(R) InDesign(TM), ale opublikowany na licencji GNU GPL.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure2_13 \
	--prefix=%{_prefix} \
	--with-qt-includes=/usr/X11R6/include/qt \
	--with-qt-libraries=/usr/X11R6/lib

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/scribus
%dir %{_datadir}/scribus
%{_datadir}/scribus/*.enc
%{_datadir}/scribus/*enc.txt
%{_datadir}/scribus/icons
%dir %{_datadir}/scribus/profiles
%dir %{_libdir}/scribus
%attr(755,root,root) %{_libdir}/scribus/lib*.so*
%dir %{_libdir}/scribus/plugins
%attr(755,root,root) %{_libdir}/scribus/plugins/lib*.so*
%dir %{_datadir}/scribus/plugins
%lang(de) %{_datadir}/scribus/plugins/*.de.qm
%lang(sk) %{_datadir}/scribus/plugins/*.sk.qm
%lang(bg) %{_datadir}/scribus/scribus.bg.qm
%lang(ca) %{_datadir}/scribus/scribus.ca.qm
%lang(de) %{_datadir}/scribus/scribus.de.qm
%lang(es) %{_datadir}/scribus/scribus.es.qm
%lang(fr) %{_datadir}/scribus/scribus.fr.qm
%lang(gl) %{_datadir}/scribus/scribus.gl.qm
%lang(hu) %{_datadir}/scribus/scribus.hu.qm
%lang(it) %{_datadir}/scribus/scribus.it.qm
%lang(lt) %{_datadir}/scribus/scribus.lt.qm
%lang(sk) %{_datadir}/scribus/scribus.sk.qm
%lang(tr) %{_datadir}/scribus/scribus.tr.qm
%lang(uk) %{_datadir}/scribus/scribus.uk.qm
# ONLINE documentation
%docdir %{_datadir}/scribus/doc
%dir %{_datadir}/scribus/doc
%lang(de) %{_datadir}/scribus/doc/de
%{_datadir}/scribus/doc/en
%lang(fr) %{_datadir}/scribus/doc/fr

# -devel package?
#%{_includedir}/scribus

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: scribus.spec,v $
Revision 1.8  2002/10/24 11:30:24  qboosh
- updated to 0.8, cleanups, updated %%files
- always look for Type1 and TTF in standard paths (patch)
- install binary modules in libdir not datadir, use -avoid-version (patch)

Revision 1.7  2002/09/17 19:07:42  cieciwa
- update to version 0.7.7.

Revision 1.6  2002/09/02 12:44:18  blues
- fixed files, builds now

Revision 1.5  2002/07/09 10:38:08  depesz
scribus.spec

Revision 1.4  2002/07/09 10:36:58  depesz
- added depesz's local mirrors

Revision 1.3  2002/06/10 14:20:37  qboosh
- short descriptions, some cleanups

Revision 1.2  2002/06/07 22:20:46  aflinta
- more updates, NFY

Revision 1.1  2002/06/05 11:46:21  cieciwa
- initial.
